{"title":"Create purchaseOrderLine","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorderline_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorderline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchaseorderline_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a purchase order line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":51,"chars":295},{"level":2,"title":"Request headers","slug":"request-headers","at":346,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":448,"chars":97},{"level":2,"title":"Response","slug":"response","at":545,"chars":132},{"level":2,"title":"Example","slug":"example","at":677,"chars":2213},{"level":2,"title":"Related information","slug":"related-information","at":2890,"chars":262}],"text":"Creates a purchase order line in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/purchaseOrders({id})/purchaseOrderLines\nPOST businesscentralPrefix/companies({id})/purchaseOrderLines\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a purchaseOrderLine object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a purchaseOrderLine object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseOrderLines\nContent-type: application/json\n{\n    \"id\": \"aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb\",\n    \"documentId\": \"bbbbbbbb-1111-2222-3333-cccccccccccc\",\n    \"sequence\": 10000,\n    \"itemId\": \"cccccccc-2222-3333-4444-dddddddddddd\",\n    \"accountId\": \"93f5638a-55e3-jk22-aa32-211d3a2fdce5\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1996-S\",\n    \"description\": \"ATLANTA Whiteboard, base\",\n    \"unitOfMeasureId\": \"dddddddd-3333-4444-5555-eeeeeeeeeeee\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"quantity\": 12,\n    \"directUnitCost\": 1397.3,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"taxCode\": \"FURNITURE\",\n    \"expectedReceiptDate\": \"2020-04-02\",\n    \"invoiceQuantity\": 12,\n    \"receiveQuantity\": 12,\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\",\n    \"locationId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n{\n    \"id\": \"aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb\",\n    \"documentId\": \"bbbbbbbb-1111-2222-3333-cccccccccccc\",\n    \"sequence\": 10000,\n    \"itemId\": \"cccccccc-2222-3333-4444-dddddddddddd\",\n    \"accountId\": \"93f5638a-55e3-jk22-aa32-211d3a2fdce5\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1996-S\",\n    \"description\": \"ATLANTA Whiteboard, base\",\n    \"unitOfMeasureId\": \"dddddddd-3333-4444-5555-eeeeeeeeeeee\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"quantity\": 12,\n    \"directUnitCost\": 1397.3,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"amountExcludingTax\": 16767.6,\n    \"taxCode\": \"FURNITURE\",\n    \"taxPercent\": 6.00002,\n    \"totalTaxAmount\": 1006.06,\n    \"amountIncludingTax\": 17773.66,\n    \"invoiceDiscountAllocation\": 0,\n    \"netAmount\": 16767.6,\n    \"netTaxAmount\": 1006.06,\n    \"netAmountIncludingTax\": 17773.66,\n    \"expectedReceiptDate\": \"2020-04-02\",\n    \"receivedQuantity\": 0,\n    \"invoicedQuantity\": 0,\n    \"invoiceQuantity\": 12,\n    \"receiveQuantity\": 12,\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\",\n    \"locationId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchaseorderline\ndynamics_purchaseorderline_get\ndynamics_purchaseorderline_delete\nPATCH purchaseOrderLine<dynamics_purchaseorderline_update>"}